Package org.apache.ignite.spi.systemview.view

## Interface SystemViewRowAttributeWalker<R>

All Known Implementing Classes:
  `AtomicLongViewWalker`, `AtomicReferenceViewWalker`, `AtomicSequenceViewWalker`, `AtomicStampedViewWalker`, `BaselineNodeAttributeViewWalker`, `BaselineNodeViewWalker`, `BinaryMetadataViewWalker`, `CacheGroupIoViewWalker`, `CacheGroupViewWalker`, `CachePagesListViewWalker`, `CacheViewWalker`, `ClientConnectionAttributeViewWalker`, `ClientConnectionViewWalker`, `ClusterNodeViewWalker`, `ComputeJobViewWalker`, `ComputeTaskViewWalker`, `ConfigurationViewWalker`, `ContinuousQueryViewWalker`, `CountDownLatchViewWalker`, `MetastorageViewWalker`, `MetricsViewWalker`, `NodeAttributeViewWalker`, `NodeMetricsViewWalker`, `PagesListViewWalker`, `PagesTimestampHistogramViewWalker`, `PartitionStateViewWalker`, `QueueViewWalker`, `ReentrantLockViewWalker`, `ScanQueryViewWalker`, `SemaphoreViewWalker`, `ServiceViewWalker`, `SetViewWalker`, `SnapshotViewWalker`, `SqlIndexViewWalker`, `SqlQueryHistoryViewWalker`, `SqlQueryViewWalker`, `SqlSchemaViewWalker`, `SqlTableColumnViewWalker`, `SqlTableViewWalker`, `SqlViewColumnViewWalker`, `SqlViewViewWalker`, `StatisticsColumnConfigurationViewWalker`, `StatisticsColumnGlobalDataViewWalker`, `StatisticsColumnLocalDataViewWalker`, `StatisticsColumnPartitionDataViewWalker`, `StripedExecutorTaskViewWalker`, `TransactionViewWalker`

    public interface SystemViewRowAttributeWalker<R>

Utility class for quick iteration over row properties.

### Nested Class Summary

Nested Classes
`static interface` `SystemViewRowAttributeWalker.AttributeVisitor` Attribute visitor.
`static interface` `SystemViewRowAttributeWalker.AttributeWithValueVisitor` Attribute visitor.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`int` `count()`
`default List<String>` `filtrableAttributes()`
`void` `visitAll​(SystemViewRowAttributeWalker.AttributeVisitor visitor)` Calls visitor for each row attribute.
`void` `visitAll​(R row, SystemViewRowAttributeWalker.AttributeWithValueVisitor visitor)` Calls visitor for each row attribute.

### Method Detail

#### count

    int count()

Returns:
  Count of a row properties.

#### visitAll

    void visitAll​(SystemViewRowAttributeWalker.AttributeVisitor visitor)

Calls visitor for each row attribute.

Parameters:
  `visitor` - Attribute visitor.

#### visitAll

    void visitAll​(R row,
                  SystemViewRowAttributeWalker.AttributeWithValueVisitor visitor)

Calls visitor for each row attribute. Value of the attribute also provided.

Parameters:
  `row` - Row to iterate.
  `visitor` - Attribute visitor.

#### filtrableAttributes

    default List<String> filtrableAttributes()

Returns:
  List of filtrable attributes for this system view.